package com.hr.externelSystem;


import com.alibaba.fastjson.JSONObject;
import com.hr.dto.ApiLogDto;
import com.hr.repository.domain.IpInterfacePO;
import com.hr.repository.domain.IpOrderPO;
import com.hr.repository.domain.IpTokenInterfacePO;
import com.hr.vo.CallbackResponseVO;
import com.hr.vo.ServiceTypeVO;

public interface BizHandler<T,R> {

    ServiceTypeVO getType();
    R handle(T t, IpInterfacePO ipInterfacePO,ApiLogDto logDto);
    Class<T> getRequestClass();

    CallbackResponseVO doCallBack(IpOrderPO ipOrderPO, JSONObject callbackParam);
}
